Skip to main content
GET
/
tasks
/
{id}
Typescript (SDK)
import { Crevio } from "@crevio/sdk";

const crevio = new Crevio({
  apiKey: process.env["CREVIO_API_KEY"] ?? "",
});

async function run() {
  const result = await crevio.tasks.get({
    id: "<id>",
  });

  console.log(result);
}

run();
curl --request GET \
--url https://api.crevio.co/v1/tasks/{id} \
--header 'Authorization: <api-key>'
import requests

url = "https://api.crevio.co/v1/tasks/{id}"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.crevio.co/v1/tasks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "object": "<string>",
  "name": "<string>",
  "description": "<string>",
  "prompt": "<string>",
  "cron_expression": "<string>",
  "interval_seconds": 123,
  "scheduled_at": "2023-11-07T05:31:56Z",
  "event_conditions": {},
  "condition_script": "<string>",
  "timezone": "<string>",
  "delivery_methods": [],
  "model_id": "<string>",
  "active": true,
  "expires_at": "2023-11-07T05:31:56Z",
  "next_run_at": "2023-11-07T05:31:56Z",
  "last_run_at": "2023-11-07T05:31:56Z",
  "total_runs_count": 123,
  "consecutive_failure_count": 123,
  "total_credits_consumed": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "site_id": "<string>"
}
{
"error": {
"type": "invalid_request_error",
"code": "bad_request",
"message": "The request was malformed or contained invalid parameters"
}
}
{
"error": {
"type": "invalid_request_error",
"code": "authentication_required",
"message": "You did not provide an API key."
}
}
{
"error": {
"type": "invalid_request_error",
"code": "forbidden",
"message": "You do not have permission to perform this action"
}
}
{
"error": {
"type": "invalid_request_error",
"code": "resource_missing",
"message": "The requested resource was not found"
}
}
{
"error": {
"type": "api_error",
"code": "internal_error",
"message": "An unexpected error occurred"
}
}

Authorizations

Authorization
string
header
required

API key in the format: Bearer {api_token}

Path Parameters

id
string
required

The resource ID (e.g., "prod_abc123") or slug (e.g., "my-product")

Response

Task details

id
string
required
object
string
required
name
string
required
description
string | null
required
prompt
string
required
trigger_type
enum<string>
required
Available options:
immediate,
cron,
interval,
once,
event
cron_expression
string | null
required
interval_seconds
integer | null
required
scheduled_at
string<date-time> | null
required
event_conditions
object | null
required
condition_script
string | null
required
timezone
string
required
delivery_methods
enum<string>[]
required
Available options:
notification,
email,
telegram,
discord,
slack
approval_mode
enum<string>
required
Available options:
autonomous,
supervised,
read_only
model_id
string | null
required
agent
enum<string>
required
Available options:
business,
engineering
active
boolean
required
expires_at
string<date-time> | null
required
next_run_at
string<date-time> | null
required
last_run_at
string<date-time> | null
required
total_runs_count
integer
required
consecutive_failure_count
integer
required
total_credits_consumed
integer
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
site_id
string | null
required